<template>
  <div>
    <b-sidebar id="sidebar-1" bg-variant="dark" width="240px" no-header backdrop >
      <div class="menu-items">
        <router-link to="/profile" active-class="active" tag="button" exact class="side-btn">
                <div class="link-container">
                    <mdicon name="account" size="48" />
                    Profil
                </div>
            </router-link>
            <router-link to="/" active-class="active" tag="button" exact class="side-btn">
                <div class="link-container">
                    <mdicon name="home" size="48" />
                    Acceuil
                </div>
            </router-link>
            <router-link to="/restaurant" active-class="active" tag="button" exact class="side-btn">
                <div class="link-container">
                    <mdicon name="silverware-fork-knife" size="48" />
                    Restaurant
                </div>
            </router-link>
            <router-link to="/commands" active-class="active" tag="button" exact class="side-btn">
                <div class="link-container">
                    <mdicon name="moped" size="48" />
                    Commandes
                </div>
            </router-link>
            <router-link to="/mentoring" active-class="active" tag="button" exact class="side-btn">
                <div class="link-container">
                    <mdicon name="gift" size="48" />
                    Parrainage
                </div>
            </router-link>
      </div>
      <template v-slot:footer>
        <div>
          <router-link  to="/" active-class="active" tag="button" exact class="foot-btn">
                <div @click="deconnexion" class="link-container">
                    <mdicon name="logout" size="48" />
                    Déconnexion
                </div>
        </router-link>
        </div>
      </template>   
    </b-sidebar>

    </div>
</template>


<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'SideBar',

  data() {
    return {
      form: {
        search: '',
      },
      isConnected: false,
      user: {}
    }
  },

  methods:{
    deconnexion(){
      localStorage.removeItem('user');
      localStorage.removeItem('isConnected');
      window.location.reload()
    }
  },

  mounted() {
    if (localStorage.isConnected) {
      this.isConnected = localStorage.isConnected;
    }
    if (localStorage.user) {
      this.user = JSON.parse(localStorage.user);
    }
  },
});
</script>

<style scoped>

.color-icon{
    color: black;
}

.menu-items > * {
    margin-top: 10px;
}

.side-btn {
    background-color: transparent;
    color: white;
    font-weight: 500;
    font-size: 20px;
    border: 0;
    width: 240px;
    height: 100px;
}

.side-btn.active {
    background-color: #212529;
    color: white;
    font-weight: 600;
    border-color: transparent;
    border: 0;
}

.foot-btn {
    display: flex;
    flex-direction: column;
    margin-bottom: 20px;
    margin-left: 45px;
    background-color: transparent;
    color: white;
    font-weight: 500;
    font-size: 20px;
    border-color: transparent;
    border: 0;
}

</style>